%define prefix /opt/monitor/op5

Summary: Skin-driven notification script
Name: monitor-notify
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/monitor
URL: https://www.itrsgroup.com
Prefix: %prefix
Source: %name-%version.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%name-%version
Requires: monitor, smstools
Requires: perl(Device::Modem)
Requires: nagios-mib
Requires: perl(SNMP_Session)
Requires: perl(YAML::Syck)
Requires: postfix


%description
notify.pl is a skin-driven notification script for OP5 Monitor.
It is easily extendable and highly customizable.  It handles SMS
messages and emails dynamically and integrates nicely with issue
tracking and inventory systems.

%prep
%setup -q

%install
mkdir -p %buildroot%prefix/notify
cp -a * %buildroot%prefix/notify/

pushd %buildroot%prefix/notify
ln -s notify.pl notify
popd

mkdir -p %buildroot%prefix/notify/extra_host_vars

%{__install} -D -m 644 backup/op5-notify %{buildroot}%{_sysconfdir}/op5-backup/modules/external/op5-notify
%{__install} -D -m 644 default-config.yml %{buildroot}%{_sysconfdir}/op5/notify.yml

%post
usermod -a -G smstools monitor
grep notify-nilex /opt/monitor/etc/misccommands.cfg > /dev/null 2>&1 || \
cat /opt/monitor/op5/notify/misccommands-nilex.cfg >> /opt/monitor/etc/misccommands.cfg || :

%files
%prefix/notify
%{_sysconfdir}/op5-backup/modules/external/op5-notify
%prefix/notify/notify_by_snmp.pl
%config(noreplace) %prefix/notify/notify-nilex.inc.php
%config(noreplace) %prefix/notify/skins.mail/*
%config(noreplace) %prefix/notify/skins.sms/*
%config(noreplace) %prefix/notify/skins.htmlpost/*
%config(noreplace) %{_sysconfdir}/op5/notify.yml
%doc README


%clean
rm -rf %buildroot


%changelog
* Wed Jul  7 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Add requirement on postfix.
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se> 3.0.0-op5.1
- Updated to release 3.0.0-op5.1
* Wed Sep 15 2004 Andreas Ericsson <ae@op5.se>
- Creation date. Changelog maintained in CVS.
